Subject: [os2genau_digest] No. 1130
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 26 Jun 2005 00:02:06 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 25 June 2005
 Number  1130
**************************************************

Subjects for today
 
1   Partition corruption : Alan Duval <amoht at tpg dot com dot au>
2  Re:  Partition corruption : Mike O'Connor" <mikeoc at internode.on dot net>
3  Re:  Partition corruption : Kris Steenhaut <kris.steenhaut at hccnet.nl>
4  Re:  Partition corruption : Mike O'Connor" <mikeoc at internode.on dot net>
5  Re:  Partition corruption : Alan Duval <amoht at tpg dot com dot au>

**= Email   1 ==========================**

Date:  Sat, 25 Jun 2005 22:04:35 +0100
From:  Alan Duval <amoht at tpg dot com dot au>
Subject:   Partition corruption

Hi,

Has anyone had problems with RSJ causing corruption of partition tables?
A few weeks ago I was copying some music files as  OG Vorbis files and 
then to another CD.
Then I rebooted to go to WIN 95 to use my scanner and OCR to scan the 
words of the music.
To my horror the whole system wouldn't boot and BIOS couldn't see any disks.
I booted to DFSee using a floppy and noted that the partitions were 
corrupted so I ran PRESTORE using  dfs_prep.pd* files I had made. To my 
relief BIOS could see the disks and I was able to boot to my OS's.  I 
closed down and next day decided to do some scanning , however booting 
again failed and no disks were detected. I tried running PRESTORE again, 
but this time it failed to correct the problem. Tried to get in touch 
with Jan at DFSee but he is on holidays.
I then bought a new hard drive and installed it as the primary and put 
WIN 95 on it and used eCS install disk to install Boot Manager. I was 
then able to boot to both WIN 95 and eCS.
I had a lot of important information on my previous  primary but have 
been able to restore a fair amount from paper records, This has taken a 
lot of work.
Then a few days ago I used RSJ again to back up information on to CD's. 
Following this  the system again failed to boot. Didn't know what to do 
and  was investigating buying a new computer. The next day I tried 
booting again and this time everything worked. and I have just about 
finished re-entering info.
My question:-   Could RSJ have written something to the hard disks and 
corrupted them? or is it more likely that my system is starting to 
malfunction?

Regards,

Alan Duval

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 25 Jun 2005 22:21:26 +1000
From:  "Mike O'Connor" <mikeoc at internode.on dot net>
Subject:  Re:  Partition corruption

Alan Duval wrote:

> Hi,
>
> Has anyone had problems with RSJ causing corruption of partition tables?
> A few weeks ago I was copying some music files as  OG Vorbis files and 
> then to another CD.
> Then I rebooted to go to WIN 95 to use my scanner and OCR to scan the 
> words of the music.
> To my horror the whole system wouldn't boot and BIOS couldn't see any 
> disks.
> I booted to DFSee using a floppy and noted that the partitions were 
> corrupted so I ran PRESTORE using  dfs_prep.pd* files I had made. To 
> my relief BIOS could see the disks and I was able to boot to my OS's.  
> I closed down and next day decided to do some scanning , however 
> booting again failed and no disks were detected. I tried running 
> PRESTORE again, but this time it failed to correct the problem. Tried 
> to get in touch with Jan at DFSee but he is on holidays.
> I then bought a new hard drive and installed it as the primary and put 
> WIN 95 on it and used eCS install disk to install Boot Manager. I was 
> then able to boot to both WIN 95 and eCS.
> I had a lot of important information on my previous  primary but have 
> been able to restore a fair amount from paper records, This has taken 
> a lot of work.
> Then a few days ago I used RSJ again to back up information on to 
> CD's. Following this  the system again failed to boot. Didn't know 
> what to do and  was investigating buying a new computer. The next day 
> I tried booting again and this time everything worked. and I have just 
> about finished re-entering info.
> My question:-   Could RSJ have written something to the hard disks and 
> corrupted them? or is it more likely that my system is starting to 
> malfunction?

Hi Alan,

In all the years of my RSJ usage here, nothing like that has ever 
occurred - RSJ doesn't touch the physical disk system at all, so I'd say 
you have a problem with your system malfunctioning.

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[Please ZIP any attachments, other than GIF/JPG or plain-text]

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 25 Jun 2005 14:40:43 +0200
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re:  Partition corruption

Mike O'Connor schreef:

> Hi Alan,
>
> In all the years of my RSJ usage here, nothing like that has ever 
> occurred - RSJ doesn't touch the physical disk system at all

Yes it does!

For prior to writing to CD, it puts the whole lot into a tempory file on 
the (a) hard disks.

In your rsj setup that's the cache path, which you freely can set 
yourself. The install also creates the config entry which regulates size 
and other parameters of that temporary file, for instance

RUN=e:\apparaten\cdwfs\CDWFSD.EXE -p "C:/" -c200000 -b16384 -t2 -i3 -s16

which creates a temp file of max 200 Mb on my C: partition. If the to be 
written data is bigger than 200 Mb, rsj creates a second temp file, and 
so on.

If the install undue quits for one reason or another, the temp files 
remain where they are. And if free space is in short supply on that 
partition, you could be in trouble as the system might not be able to 
address the partition anymore (no room left for IT'S temp files and 
diskcache).

Me thinks that could well have been the origine of ED's troubles.

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sat, 25 Jun 2005 23:02:25 +1000
From:  "Mike O'Connor" <mikeoc at internode.on dot net>
Subject:  Re:  Partition corruption

Kris Steenhaut wrote:

> Mike O'Connor schreef:
>
>> Hi Alan,
>>
>> In all the years of my RSJ usage here, nothing like that has ever 
>> occurred - RSJ doesn't touch the physical disk system at all
>
> Yes it does!
>
> For prior to writing to CD, it puts the whole lot into a tempory file 
> on the (a) hard disks.
>
> In your rsj setup that's the cache path, which you freely can set 
> yourself. The install also creates the config entry which regulates 
> size and other parameters of that temporary file, for instance
>
> RUN=e:\apparaten\cdwfs\CDWFSD.EXE -p "C:/" -c200000 -b16384 -t2 -i3 -s16
>
> which creates a temp file of max 200 Mb on my C: partition. If the to 
> be written data is bigger than 200 Mb, rsj creates a second temp file, 
> and so on.
>
> If the install undue quits for one reason or another, the temp files 
> remain where they are. And if free space is in short supply on that 
> partition, you could be in trouble as the system might not be able to 
> address the partition anymore (no room left for IT'S temp files and 
> diskcache).
>
> Me thinks that could well have been the origine of ED's troubles.

[Alan's]

Hi Kris,

I realise that, that's why I said *physical* disk system - because RSJ 
uses the *logical* file-system facilities provided by OS/2-eCS. You have 
to allow freespace equivalent to 4 times the size of the nominal cache file.

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[Please ZIP any attachments, other than GIF/JPG or plain-text]

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sat, 25 Jun 2005 23:27:58 +0100
From:  Alan Duval <amoht at tpg dot com dot au>
Subject:  Re:  Partition corruption

Kris Steenhaut wrote:

>
>
> Mike O'Connor schreef:
>
>> Hi Alan,
>>
>> In all the years of my RSJ usage here, nothing like that has ever 
>> occurred - RSJ doesn't touch the physical disk system at all
>
>
> Yes it does!
>
> For prior to writing to CD, it puts the whole lot into a tempory file 
> on the (a) hard disks.
>
> In your rsj setup that's the cache path, which you freely can set 
> yourself. The install also creates the config entry which regulates 
> size and other parameters of that temporary file, for instance
>
> RUN=e:\apparaten\cdwfs\CDWFSD.EXE -p "C:/" -c200000 -b16384 -t2 -i3 -s16
>
> which creates a temp file of max 200 Mb on my C: partition. If the to 
> be written data is bigger than 200 Mb, rsj creates a second temp file, 
> and so on.
>
> If the install undue quits for one reason or another, the temp files 
> remain where they are. And if free space is in short supply on that 
> partition, you could be in trouble as the system might not be able to 
> address the partition anymore (no room left for IT'S temp files and 
> diskcache).
>
> Me thinks that could well have been the origine of ED's troubles.
>
>
Hi Kris,

I think you're right.  I think there was a problem writing to the CD and 
had to shut down.
 Would I be advised to create 2 HPFS partitions  a bit larger than 2 GB 
solely for RSJ's temp files , as I believe 2 GB is the maximum size file 
that can be transferred to a CD by RSJ at one time.?
My RSJ is installed in J:\CDWFS and eCS is in G: so if I create 2 new 
partitions "N" & "O", how should I alter my config statement which reads:

RUN=J:\CDWFS\CDWFSD.EXE -p "G:/TEMP" -c20000 -b2048 -t2 -i3 -s0

G: has 2,322,233 KB free at present.

Regards

Alan Duval

----------------------------------------------------------------------------------